System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.XmlCharacterData

This class is a Microsoft extension to the Document Object Model (DOM).

Represents white space between markup in a mixed content node or white space within an xml:space= 'preserve' scope. This is also referred to as significant white space.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called by derived class constructors to initialize state in this type.

  Initializes a new instance of the class.

  The white space characters of the node.
  The object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode ``

  CloneNode serves as a copy constructor for nodes. To see how this method behaves with other node types, see .

  The cloned node has no parent. returns null.

  Creates a duplicate of this node.

  The cloned node.

  true to recursively clone the subtree under the specified node; false to clone only the node itself. For significant white space nodes, the cloned node always includes the data value, regardless of the parameter setting.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the local name of the node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the qualified name of the node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType To be added. To be added.

  Gets the type of the current node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode To be added. To be added.

  Gets the parent of the current node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  When setting this property, valid white space characters must be specified. White space can consist of one or more space characters, carriage returns, line feeds, or tabs.

  Gets or sets the value of the node.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Saves all the children of the node to the specified .

  The XmlWriter to which you want to save.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Saves the node to the specified .

  The XmlWriter to which you want to save.